Package: org.codehaus.groovy.runtime

## [Java] Class DateGroovyMethods

- org.codehaus.groovy.runtime.DateGroovyMethods

-     @Deprecated
      public class DateGroovyMethods
      extends DefaultGroovyMethodsSupport

  deprecated:
    use DateUtilExtensions instead

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Date` | `clearTime(Date self)`
    `` | `static Date` | `clearTime(Date self)`
    `` | `static Calendar` | `clearTime(Calendar self)`
    `` | `static Calendar` | `copyWith(Calendar self, Map<Object, Integer> updates)`
    `` | `static Date` | `copyWith(Date self, Map<Object, Integer> updates)`
    `` | `static void` | `downto(Date self, Date to, Closure closure)`
    `` | `static void` | `downto(Calendar self, Calendar to, Closure closure)`
    `` | `static String` | `format(Date self, String format)`
    `` | `static String` | `format(Date self, String format, TimeZone tz)`
    `` | `static String` | `format(Calendar self, String pattern)`
    `` | `static int` | `getAt(Date self, int field)`
    `` | `static int` | `getAt(Calendar self, int field)`
    `` | `static String` | `getDateString(Date self)`
    `` | `static String` | `getDateTimeString(Date self)`
    `` | `static String` | `getTimeString(Date self)`
    `` | `static Date` | `minus(Date self, int days)`
    `` | `static Date` | `minus(Date self, int days)`
    `` | `static Timestamp` | `minus(Timestamp self, int days)`
    `` | `static int` | `minus(Calendar self, Calendar then)`
    `` | `static int` | `minus(Date self, Date then)`
    `` | `static Date` | `next(Date self)`
    `` | `static Calendar` | `next(Calendar self)`
    `` | `static Date` | `next(Date self)`
    `` | `static Date` | `plus(Date self, int days)`
    `` | `static Date` | `plus(Date self, int days)`
    `` | `static Timestamp` | `plus(Timestamp self, int days)`
    `` | `static Calendar` | `previous(Calendar self)`
    `` | `static Date` | `previous(Date self)`
    `` | `static Date` | `previous(Date self)`
    `` | `static void` | `putAt(Calendar self, int field, int value)`
    `` | `static void` | `putAt(Date self, int field, int value)`
    `` | `static void` | `set(Calendar self, Map<Object, Integer> updates)`
    `` | `static void` | `set(Date self, Map<Object, Integer> updates)`
    `` | `static Calendar` | `toCalendar(Date self)`
    `` | `static Calendar` | `updated(Calendar self, Map<Object, Integer> updates)`
    `` | `static Date` | `updated(Date self, Map<Object, Integer> updates)`
    `` | `static void` | `upto(Date self, Date to, Closure closure)`
    `` | `static void` | `upto(Calendar self, Calendar to, Closure closure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultGroovyMethodsSupport` | `cloneSimilarCollection, cloneSimilarMap, closeQuietly, closeWithWarning, createSimilarArray, createSimilarCollection, createSimilarCollection, createSimilarCollection, createSimilarList, createSimilarMap, createSimilarOrDefaultCollection, createSimilarQueue, createSimilarSet, normaliseIndex, sameType, subListBorders, subListBorders, writeUTF16BomIfRequired, writeUTF16BomIfRequired, writeUTF16BomIfRequired, writeUTF16BomIfRequired`

- - ### Method Detail

    - #### @Deprecated public static Date clearTime(Date self)

    - #### @Deprecated public static Calendar clearTime(Calendar self)

    - #### @Deprecated public static Calendar copyWith(Calendar self, Map<Object, Integer> updates)

    - #### @Deprecated public static Date copyWith(Date self, Map<Object, Integer> updates)

    - #### @Deprecated public static void downto(Date self, Date to, Closure closure)

    - #### @Deprecated public static void downto(Calendar self, Calendar to, Closure closure)

    - #### @Deprecated public static String format(Date self, String format)

    - #### @Deprecated public static String format(Date self, String format, TimeZone tz)

    - #### @Deprecated public static String format(Calendar self, String pattern)

    - #### @Deprecated public static int getAt(Date self, int field)

    - #### @Deprecated public static int getAt(Calendar self, int field)

    - #### @Deprecated public static String getDateString(Date self)

    - #### @Deprecated public static String getDateTimeString(Date self)

    - #### @Deprecated public static String getTimeString(Date self)

    - #### @Deprecated public static Date minus(Date self, int days)

    - #### @Deprecated public static Timestamp minus(Timestamp self, int days)

    - #### @Deprecated public static int minus(Calendar self, Calendar then)

    - #### @Deprecated public static int minus(Date self, Date then)

    - #### @Deprecated public static Date next(Date self)

    - #### @Deprecated public static Calendar next(Calendar self)

    - #### @Deprecated public static Date next(Date self)

    - #### @Deprecated public static Date plus(Date self, int days)

    - #### @Deprecated public static Timestamp plus(Timestamp self, int days)

    - #### @Deprecated public static Calendar previous(Calendar self)

    - #### @Deprecated public static Date previous(Date self)

    - #### @Deprecated public static void putAt(Calendar self, int field, int value)

    - #### @Deprecated public static void putAt(Date self, int field, int value)

    - #### @Deprecated public static void set(Calendar self, Map<Object, Integer> updates)

    - #### @Deprecated public static void set(Date self, Map<Object, Integer> updates)

    - #### @Deprecated public static Calendar toCalendar(Date self)

    - #### @Deprecated public static Calendar updated(Calendar self, Map<Object, Integer> updates)

    - #### @Deprecated public static Date updated(Date self, Map<Object, Integer> updates)

    - #### @Deprecated public static void upto(Date self, Date to, Closure closure)

    - #### @Deprecated public static void upto(Calendar self, Calendar to, Closure closure)